[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Why do we disable esd in libgnome?



On Wed, Feb 4, 2009 at 5:08 AM, Kevin Kofler <kevin kofler chello at> wrote:
> You need to get apps ported in Rawhide first, then the API can be disabled
> for the next release.

This really goes to the heart of the matter. When and how is it okay
to introduce changes to APIs that applications depend on.  I'm not
saying they can't be changed, but are we making our best effort at
minimizing the disruption when changes are introduced?

Packaging metadata only goes so far, we don't have a facility to flag
a change like this as its not exposed in a way that packaging can
express as a depchain. I doubt we could have caught this with an
automated tool before it landed in a repository even if was a mistake
not meant to be pushed as an update.

-jef


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]